### Hierarchy

- Drawable
  - Circle

## Index

### Constructors

- constructor

### Properties

- center
- radius

### Methods

- getObjectToSerialize
- minDistance

### Object literals

- descriptor

## Constructors

### constructor

- new Circle(center: vec2, radius: number): Circle

- - Defined in drawables/shapes/circle.ts:35

  #### Parameters

  - ##### center: vec2

  - ##### radius: number

  #### Returns Circle

## Properties

### center

center: vec2

- Defined in drawables/shapes/circle.ts:37

### radius

radius: number

- Defined in drawables/shapes/circle.ts:37

## Methods

### Protected getObjectToSerialize

- getObjectToSerialize(transform2d: mat2d, transform1d: number): any

- Overrides Drawable.getObjectToSerialize

  - Defined in drawables/shapes/circle.ts:45

  #### Parameters

  - ##### transform2d: mat2d

  - ##### transform1d: number

  #### Returns any

### minDistance

- minDistance(target: vec2): number

- Overrides Drawable.minDistance

  - Defined in drawables/shapes/circle.ts:41

  #### Parameters

  - ##### target: vec2

  #### Returns number

## Object literals

### Static descriptor

descriptor: object

Overrides Drawable.descriptor

- Defined in drawables/shapes/circle.ts:9

### empty

empty: Circle = new Circle(vec2.create(), 0)

- Defined in drawables/shapes/circle.ts:34

### shaderCombinationSteps

shaderCombinationSteps: number[] = [0, 1, 2, 3, 8, 16]

- Defined in drawables/shapes/circle.ts:33

### uniformCountMacroName

uniformCountMacroName: string = "CIRCLE_COUNT"

- Defined in drawables/shapes/circle.ts:32

### propertyUniformMapping

propertyUniformMapping: object

- Defined in drawables/shapes/circle.ts:28

### center

center: string = "circleCenters"

- Defined in drawables/shapes/circle.ts:29

### radius

radius: string = "circleRadii"

- Defined in drawables/shapes/circle.ts:30

### sdf

sdf: object

- Defined in drawables/shapes/circle.ts:10

### distanceFunctionName

distanceFunctionName: string = "circleMinDistance"

- Defined in drawables/shapes/circle.ts:26

### shader

shader: string = `uniform vec2 circleCenters[CIRCLE_COUNT];uniform float circleRadii[CIRCLE_COUNT];float circleMinDistance(vec2 target, out float colorIndex) {colorIndex = 2.0;float minDistance = 1000.0;for (int i = 0; i < CIRCLE_COUNT; i++) {float dist = distance(circleCenters[i], target) - circleRadii[i];minDistance = min(minDistance, dist);}return minDistance;}`

- Defined in drawables/shapes/circle.ts:11